package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraEmpresa;
import com.rjconsultores.ventaboletos.service.TipoEventoExtraEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoEventoExtraEmpresaService")
public class TipoEventoExtraEmpresaServiceImpl implements TipoEventoExtraEmpresaService {
	@Autowired
	private TipoEventoExtraEmpresaDAO tipoEventoExtraEmpresaDAO;
	
	@Override
	public List<TipoEventoExtraEmpresa> buscarPorTipoEventoExtra(TipoEventoExtra tipoeventoextra) {
		return tipoEventoExtraEmpresaDAO.buscarPorTipoEventoExtra(tipoeventoextra);
	}

	@Transactional
	public TipoEventoExtraEmpresa suscribir(TipoEventoExtraEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

		return tipoEventoExtraEmpresaDAO.suscribir(entidad);
	}

	@Override
	public List<TipoEventoExtraEmpresa> obtenerTodos() {
		return tipoEventoExtraEmpresaDAO.obtenerTodos();
	}

	@Override
	public TipoEventoExtraEmpresa obtenerID(Integer id) {
		return tipoEventoExtraEmpresaDAO.obtenerID(id);
	}

	@Transactional
	public TipoEventoExtraEmpresa actualizacion(TipoEventoExtraEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);
        
		return tipoEventoExtraEmpresaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoEventoExtraEmpresa entidad) {
		tipoEventoExtraEmpresaDAO.borrar(entidad);
	}
}
